const join = require('path').join;

module.exports.BASE_DIR =  join(__dirname, '..');
module.exports.UTILS_DIR = join(module.exports.BASE_DIR, 'utils');
module.exports.STATIC_DIR = join(module.exports.BASE_DIR, 'static');
module.exports.CONTROLLERS_DIR = join(module.exports.BASE_DIR, 'controllers');

module.exports.DEBUG = true;

module.exports.LISTEN_ADDRESS = '0.0.0.0';
module.exports.PORT = 4000;

module.exports.ADE_BASE_URL =
    "https://edt.inp-toulouse.fr/jsp/custom/modules/plannings/anonymous_cal.jsp?"

const privateConf = require('./private.js');

for (let key in privateConf) {
    module.exports[key] = privateConf[key];
}
